sc::DerivCenters(3)

NAME
sc::DerivCenters -

DerivCenters keeps track the centers that derivatives are taken with respect to.

SYNOPSIS

#include <dercent.h>

  Public Member Functions
DerivCenters ()
Construct a new, empty DerivCenters object.

Routines to Modify DerivCenters
void clear ()
Clear the list of centers.
void add_center (int center, const Ref< GaussianBasisSet > &bs, int shell)
Add a center using a basis set and the shell number.
void add_center (int center, int atom)
Add a center using the atom number.
void add_omitted (int center, const Ref< GaussianBasisSet > &bs, int shell)
Add the omitted center using a basis set and the shell number.
void add_omitted (int center, int atom)
Add the omitted center using the atom number.

Routines to Query DerivCenters
int n () const
The number of centers for which derivatives have been computed.
int center (int i) const
int atom (int i) const
int has_omitted_center () const
int omitted_center () const
int omitted_atom () const

Detailed Description

DerivCenters keeps track the centers that derivatives are taken with respect to.

Member Function Documentation

  void sc::DerivCenters::add_center (intcenter, const Ref< GaussianBasisSet > &bs, intshell)

Add a center using a basis set and the shell number. Parameters:
    center The center number (between 0 and 3 inclusive).
    bs The basis set for this center.
    shell The shell number for this center.

  void sc::DerivCenters::add_center (intcenter, intatom)

Add a center using the atom number. Parameters:
    center The center number (between 0 and 3 inclusive).
    atom The center within a GaussianBasisSet.

  void sc::DerivCenters::add_omitted (intcenter, const Ref< GaussianBasisSet > &bs, intshell)

Add the omitted center using a basis set and the shell number. Parameters:
    center The center number (between 0 and 3 inclusive).
    bs The basis set for this center.
    shell The shell number for this center.

  void sc::DerivCenters::add_omitted (intcenter, intatom)

Add the omitted center using the atom number. Parameters:
    center The center number (between 0 and 3 inclusive).
    atom The center within a GaussianBasisSet.

  int sc::DerivCenters::atom (inti) const [inline]
Parameters:
    i The computed center index (between 0 and n() - 1, inclusive).

Returns:
    The atom number.

Referenced by sc::LocalTBGrad< T >::run().

  int sc::DerivCenters::center (inti) const [inline]
Parameters:
    i The computed center index (between 0 and n() - 1, inclusive).

Returns:
    The center number (between 0 and 3, inclusive).

  int sc::DerivCenters::has_omitted_center () const [inline]
Returns:
    1 if there is an omitted center, otherwise 0.

  int sc::DerivCenters::omitted_atom () const [inline]
Returns:
    The atom that is omitted from the integral buffer.

Referenced by sc::LocalTBGrad< T >::run().

  int sc::DerivCenters::omitted_center () const [inline]
Returns:
    The center for which integrals where not computed.

Author

Generated automatically by Doxygen for MPQC from the source code.